Page MenuHomePhabricator

Revisions are not redirecting to MobileDiff showing non-optimal desktop version
Closed, DeclinedPublic

Description

When visiting https://en.m.wikipedia.org/w/index.php?title=Nicholas_Benson&direction=prev&oldid=703198335 via the history page or directly I should be redirected to the more mobile friendly https://en.m.wikipedia.org/wiki/Special:MobileDiff/703198015

Please add @integration tag to "Scenario: Check components in diff summary" and considering updating the test so we have some coverage for this feature.

Event Timeline

Jdlrobson created this task.Feb 4 2016, 4:17 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: MobileFrontend.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 4 2016, 4:17 PM
bd808 triaged this task as High priority.Feb 4 2016, 6:13 PM
bd808 added a subscriber: bd808.
bmansurov claimed this task.Feb 5 2016, 1:04 AM
bmansurov set Security to None.
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-65-Game of Phones board.
bmansurov removed bmansurov as the assignee of this task.Feb 5 2016, 1:15 AM
bmansurov added a subscriber: bmansurov.

Up for grabs - my other card is ready!

phuedx claimed this task.Feb 5 2016, 11:49 AM
phuedx moved this task from To Do to Doing on the Reading-Web-Sprint-65-Game of Phones board.

AFAICT it used to be that case that the example URL would redirect to Special:MobileDiff, until this T55297 (specifically T55297#543937) was fixed in rEMFRfeb8b1b4171e5dc31c4ca159e78cb41a1f71b0df.

phuedx removed phuedx as the assignee of this task.Feb 5 2016, 3:05 PM

The question is "Why should the user be redirected to the mobile diff page?". Those pages are two different pages. Compare:
https://en.m.wikipedia.org/w/index.php?title=Barack_Obama&oldid=703474355
vs
https://en.m.wikipedia.org/wiki/Special:MobileDiff/703474355

The task is the anti-task of T51029.

phuedx closed this task as Declined.Feb 8 2016, 6:06 PM
phuedx claimed this task.
phuedx added a subscriber: phuedx.